/***************************************************************************
                          resource.h  -  description                              
                             -------------------                                         
    begin                : Tue Jun 15 15:34:26 CEST 1999
                                           
    copyright            : (C) 1999 by Torsten Uhlmann                         
    email                : TUhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

/* $Header: /cvs/bibletime/bibletime/bibletime/resource.h,v 1.5 1999/10/31 14:58:39 jockel Exp $ */
/* $Revision: 1.5 $ */

#ifndef RESOURCE_H
#define RESOURCE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

///////////////////////////////////////////////////////////////////
// resource.h  -- contains macros used for commands

#define ID_TEXT_TOOLBAR							1

///////////////////////////////////////////////////////////////////
// COMMAND VALUES FOR MENUBAR AND TOOLBAR ENTRIES

// Values that identify the TabBar entries
#define TAB_BROWSER_TEXT						0
#define TAB_BROWSER_LEX							1
#define TAB_BROWSER_COMM						2

#define TAB_SEARCH_VERSE						0
#define TAB_SEARCH_FREE							1
#define TAB_SEARCH_RESULT						2

#define TAB_NOTES_EDITOR						0
#define TAB_NOTES_CONTROL						1

//toolbar entries
#define	ID_HISTORY_PREV							2001
#define	ID_HISTORY_NEXT							2002
#define ID_TOOLBAR_LOOKUP_LINE			2003
#define ID_TOOLBAR_LOOKUP_BOX				2004
#define ID_TOOLBAR_PREV_VERSE				2005
#define ID_TOOLBAR_NEXT_VERSE				2006
#define ID_TOOLBAR_PREV_CHAPTER			2007
#define ID_TOOLBAR_NEXT_CHAPTER			2008
#define ID_TOOLBAR_PREV_BOOK				2009
#define ID_TOOLBAR_NEXT_BOOK				2010
#define ID_TOOLBAR_LOOKUP_LABEL			2011


///////////////////////////////////////////////////////////////////
// Browser specific entries
#define ID_BROWSER_SAVE_AS_TEXT			3010
#define ID_BROWSER_SAVE_AS_HTML			3020

///////////////////////////////////////////////////////////////////
// File-menu entries
#define ID_FILE_NEW_WINDOW          10010
#define ID_FILE_NEW                 10020
#define ID_FILE_OPEN                10030
#define ID_FILE_OPEN_RECENT         10040
#define ID_FILE_CLOSE               10050

#define ID_FILE_SAVE                10060
#define ID_FILE_SAVE_AS             10070

#define ID_FILE_PRINT               10080
#define ID_FILE_EMPTY_PRINT_QUEUE   10081
#define ID_FILE_SEARCH              10085

#define ID_FILE_QUIT                10090

///////////////////////////////////////////////////////////////////
// Edit-menu entries

#define ID_EDIT_UNDO                11010
#define ID_EDIT_REDO                11020

#define ID_EDIT_CUT                 11030
#define ID_EDIT_COPY                11040
#define ID_EDIT_PASTE               11050

#define ID_EDIT_INSERT_FILE         11060

#define ID_EDIT_SEARCH              11070
#define ID_EDIT_REPEAT_SEARCH       11080
#define ID_EDIT_REPLACE             11090
#define ID_EDIT_SEARCH_IN_FILES     11130
#define ID_EDIT_SEARCH_TEXT					11135

#define ID_EDIT_SPELLCHECK					11140

#define ID_EDIT_INDENT             	11091
#define ID_EDIT_UNINDENT            11092

#define ID_EDIT_SELECT_ALL          11100
#define ID_EDIT_DESELECT_ALL        11110
#define ID_EDIT_INVERT_SELECTION    11120

#define ID_EDIT_PRINT_WITH_KEY			11130
#define ID_EDIT_PRINT_WITHOUT_KEY		11140
#define ID_EDIT_LOOKUP							11150

///////////////////////////////////////////////////////////////////
// View-menu entries                    
#define ID_VIEW_TOOLBAR             12010
#define ID_VIEW_TEXT_TOOLBAR				12020
#define ID_VIEW_STATUSBAR           12030
#define ID_VIEW_NOTES_EDITOR   	    12040
#define ID_VIEW_BIG_BROWSER     		12050
#define ID_VIEW_DISPLAY_STRONGS			12060
#define ID_VIEW_DISPLAY_FOOTNOTES 	12070

#define ID_VIEW_IN_KFM							12080

///////////////////////////////////////////////////////////////////
// Settings-menu entries
#define ID_SETTINGS_BROWSER         13010
#define ID_SETTINGS_EDITOR	        13020
#define ID_SETTINGS_EDITOR_COLORS   13030
#define ID_SETTINGS_EDITOR_SYHI_DEF 13040
#define ID_SETTINGS_EDITOR_SYHI			13050
#define ID_SETTINGS_OPTIONS					13060

#define ID_SEARCH_STRONGS_GREEK  		14010
#define ID_SEARCH_STRONGS_HEBREW 		14020

///////////////////////////////////////////////////////////////////
// Bookmark-menu-entries
#define ID_BOOKMARKS_SET						17000
#define ID_BOOKMARKS_ADD						17010
#define ID_BOOKMARKS_CLEAR					17020

///////////////////////////////////////////////////////////////////
// Help-menu-entries
#define ID_HELP_CONTENTS						18010
#define ID_HELP_TIP_OF_DAY					18020
#define ID_HELP_BUG_REPORT          18030
#define ID_HELP_SEARCH_TEXT					18040
#define ID_HELP_ABOUT               18050
//#define ID_HELP_WHATS_THIS     			18160

// Ressources for the BookmarkManager
#define ID_BOOKMARK_ADD								19000
#define ID_BOOKMARK_DELETE						19010
#define ID_BOOKMARK_GROUP_NEW					19050
#define ID_BOOKMARK_GROUP_DELETE			19060
#define ID_BOOKMARK_GROUP_PROPERTIES	19070
#define ID_BM_MARK										19080
#define ID_BM_MOVE										19090

//standart keys
#define IDK_VIEW_NOTES_EDITOR				CTRL+Key_N
#define IDK_VIEW_ONLY_BROWSER				CTRL+Key_B
#define	IDK_MOVE_TO_PREV_VERSE			SHIFT+Key_Minus
#define	IDK_MOVE_TO_NEXT_VERSE			SHIFT+Key_Plus
#define	IDK_MOVE_TO_PREV_CHAPTER		CTRL+Key_Minus
#define	IDK_MOVE_TO_NEXT_CHAPTER		CTRL+Key_Plus
#define	IDK_MOVE_TO_PREV_BOOK				SHIFT+CTRL+Key_Minus
#define	IDK_MOVE_TO_NEXT_BOOK				SHIFT+CTRL+Key_Plus
#define IDK_VIEW_TEXT_TOOLBAR				CTRL+Key_T
#define IDK_VIEW_DISPLAY_STRONGS		SHIFT+CTRL+Key_S
#define IDK_VIEW_DISPLAY_FOOTNOTES	SHIFT+CTRL+Key_F
#define IDK_TOOLBAR_INSTANT_LOOKUP	CTRL+Key_L

// General application values
#define ID_STATUS_MSG               1001

// Icon defaults
#define ICON_GROUP								"mini/folder.xpm"
#define ICON_TEXT									"mini/mini-book1.xpm"
#define ICON_DICTIONARY 					"mini/mini-book2.xpm"
#define ICON_COMMENTARY						"mini/txt.xpm"
#define ICON_CUT									"cut.xpm"
#define ICON_ANALYSIS							"mini/mini-display.xpm"

#endif // RESOURCE_H
